;######################################################################
;#                                                                    #
;#    AVR ChipBasic2 API V1.35 API Macros                             #
;#    (c) 2009-2010 Joerg Wolfram                                     #
;#                                                                    #
;# This program is free software; you can redistribute it and/or      #
;# modify it under the terms of the GNU General Public License        #
;# as published by the Free Software Foundation; either version 3     #
;# of the License, or (at your option) any later version.             #
;#                                                                    #
;# This program is distributed in the hope that it will be useful,    #
;# but WITHOUT ANY WARRANTY; without even the implied warranty of     #
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the GNU    #
;# General Public License for more details.                           #
;#                                                                    #
;# You should have received a copy of the GNU General Public          #
;# License along with this library; if not, write to the              #
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,       #
;# Boston, MA 02111-1307, USA.                                        #
;#                                                                    #
;######################################################################
.macro api_token
	call	0x001e
.endm

.macro api_untoken
	call	0x0020
.endm

.macro api_version
	call	0x0022
.endm

.macro api_popxyz
	jmp	0x0024
.endm

.macro api_pushxyz
	call	0x0025
.endm

.macro api_popregs
	jmp	0x0026
.endm

.macro api_pushregs
	call	0x0027
.endm

.macro api_getvram
	call	0x0028
.endm

.macro api_getsysram
	call	0x002b
.endm

.macro api_getpal
	call	0x002e
.endm

.macro api_getarray
	call	0x0031
.endm

.macro api_getchart0
	call	0x0034
.endm

.macro api_getchart1
	call	0x0037
.endm

.macro api_getbuffer
	call	0x003a
.endm

.macro api_getvalues
	call	0x003d
.endm

.macro api_getpartab
	call	0x0040
.endm

.macro api_getvar
	call	0x0043
.endm

.macro api_dataptr
	call	0x0055
.endm

.macro api_getbase
	call	0x0057
.endm

.macro api_getprog
	call	0x0059
.endm

.macro api_getprog_1
	call	0x005d
.endm

.macro api_getprog_2
	call	0x0061
.endm

.macro api_setcolor
	call	0x0062
.endm

.macro api_setfcolor
	call	0x0064
.endm

.macro api_setborder
	call	0x0066
.endm

.macro api_setvmode
	call	0x0068
.endm

.macro api_setpalette
	call	0x006a
.endm

.macro api_sync
	call	0x006c
.endm

.macro api_slow
	call	0x006e
.endm

.macro api_fast
	call	0x0070
.endm

.macro api_setchannel
	call	0x0072
.endm

.macro api_setfont
	call	0x0074
.endm

.macro api_clrscr
	call	0x0076
.endm

.macro api_outchar
	call	0x0078
.endm

.macro api_outdez
	call	0x007a
.endm

.macro api_outhex
	call	0x007c
.endm

.macro api_gotoxy
	call	0x007e
.endm

.macro api_romtext
	call	0x0080
.endm

.macro api_thistext
	call	0x0082
.endm

.macro api_cbox
	call	0x0084
.endm

.macro api_ibox
	call	0x0087
.endm

.macro api_scroll
	call	0x008a
.endm

.macro api_newline
	call	0x008c
.endm

.macro api_sprite
	call	0x008e
.endm

.macro api_cursor
	call	0x0090
.endm

.macro api_waitkey
	call	0x0094
.endm

.macro api_nokey
	call	0x0096
.endm

.macro api_kstate
	call	0x0098
.endm

.macro api_kflags
	call	0x009c
.endm

.macro api_getkey
	call	0x009f
.endm

.macro api_lastkey
	call	0x00a2
.endm

.macro api_scancode
	call	0x00a5
.endm

.macro api_putser
	call	0x00a8
.endm

.macro api_getser
	call	0x00aa
.endm

.macro api_getserb
	call	0x00ac
.endm

.macro api_putser2
	call	0x00ae
.endm

.macro api_getser2
	call	0x00b0
.endm

.macro api_getserb2
	call	0x00b2
.endm

.macro api_putpar
	call	0x00b4
.endm

.macro api_putxm
	call	0x00b6
.endm

.macro api_getxm
	call	0x00b8
.endm

.macro api_putsernl
	call	0x00ba
.endm

.macro api_putsernl2
	call	0x00bc
.endm

.macro api_baud2
	call	0x00be
.endm

.macro api_hexline
	call	0x00c0
.endm

.macro api_plot
	call	0x00c2
.endm

.macro api_draw
	call	0x00c4
.endm

.macro api_box
	call	0x00c6
.endm

.macro api_fbox
	call	0x00c8
.endm

.macro api_circle
	call	0x00ca
.endm

.macro api_fcircle
	call	0x00ce
.endm

.macro api_bcopy1
	call	0x00d2
.endm

.macro api_bcopy2
	call	0x00d4
.endm

.macro api_bcopy3
	call	0x00d6
.endm

.macro api_menu
	call	0x00d8
.endm

.macro api_drawmenu
	call	0x00da
.endm

.macro api_alert
	call	0x00dc
.endm

.macro api_ask
	call	0x00de
.endm

.macro api_alertthis
	call	0x00e0
.endm

.macro api_askthis
	call	0x00e2
.endm

.macro api_alert_nb
	call	0x00e4
.endm

.macro api_ask_nb
	call	0x00e6
.endm

.macro api_alertthis_nb
	call	0x00e8
.endm

.macro api_askthis_nb
	call	0x00ea
.endm

.macro api_wbox
	call	0x00ec
.endm

.macro api_whbox
	call	0x00ee
.endm

.macro api_saywrite
	call	0x00f0
.endm

.macro api_saytransfer
	call	0x00f2
.endm

.macro api_note
	call	0x00f4
.endm

.macro api_setvolume
	call	0x00f6
.endm

.macro api_startseq
	call	0x00f8
.endm

.macro api_setseq
	call	0x00fa
.endm

.macro api_getseq
	call	0x00fc
.endm

.macro api_i2c_read
	call	0x00fe
.endm

.macro api_i2c_write
	call	0x0100
.endm

.macro api_i2c_start
	call	0x0102
.endm

.macro api_i2c_stop
	call	0x0104
.endm

.macro api_i2c_rbyte
	call	0x0106
.endm

.macro api_i2c_rbyten
	call	0x0108
.endm

.macro api_i2c_wbyte
	call	0x010a
.endm

.macro api_i2c_rlm75
	call	0x010c
.endm

.macro api_eep_read
	call	0x010e
.endm

.macro api_eep_write
	call	0x0110
.endm

.macro api_abs
	call	0x0112
.endm

.macro api_add
	call	0x0114
.endm

.macro api_sub
	call	0x0116
.endm

.macro api_mul
	call	0x0118
.endm

.macro api_div
	call	0x011a
.endm

.macro api_sin
	call	0x011c
.endm

.macro api_cos
	call	0x011e
.endm

.macro api_eq
	call	0x0120
.endm

.macro api_lt
	call	0x0122
.endm

.macro api_gt
	call	0x0124
.endm

.macro api_sqr
	call	0x0126
.endm

.macro api_rnd
	call	0x0128
.endm

.macro api_adc
	call	0x012a
.endm

.macro api_dbit
	call	0x012c
.endm

.macro api_fs_create
	call	0x012e
.endm

.macro api_fs_delete
	call	0x0130
.endm

.macro api_fs_read
	call	0x0132
.endm

.macro api_fs_write
	call	0x0134
.endm

.macro api_fs_cfree
	call	0x0136
.endm

.macro api_fs_size
	call	0x0138
.endm

.macro api_fs_checkf
	call	0x013a
.endm

.macro api_fs_gettype
	call	0x013c
.endm

.macro api_fs_rread
	call	0x0140
.endm

.macro api_fs_rwrite
	call	0x0145
.endm

.macro api_fs_fsize
	call	0x014a
.endm

.macro api_fs_ffind
	call	0x014c
.endm

.macro api_fs_fsel
	call	0x014e
.endm

.macro api_fs_fsel_nb
	call	0x0150
.endm

.macro api_fs_check
	call	0x0152
.endm

.macro api_copychar4
	call	0x0154
.endm

.macro api_copychar6
	call	0x0156
.endm

.macro api_basrun
	call	0x0158
.endm

.macro api_exparser
	call	0x015a
.endm

.macro api_tparser
	call	0x015c
.endm

.macro api_lfind
	call	0x015e
.endm

.macro api_lcall
	call	0x0160
.endm

.macro api_preceive
	call	0x0162
.endm

.macro api_psend
	call	0x0164
.endm

.macro api_wpage
	call	0x0166
.endm

.macro api_arrview
	call	0x0168
.endm

.macro api_echeck
	call	0x016a
.endm

.macro api_basgetpar
	call	0x016c
.endm

.macro api_basgetvar
	call	0x016e
.endm

.macro api_vm0line
	jmp	0x0170
.endm

.macro api_vm0cls
	jmp	0x0174
.endm

.macro api_vm0char
	jmp	0x0177
.endm

.macro api_vm0gotoxy
	jmp	0x017b
.endm

.macro api_vm0plot
	jmp	0x017d
.endm

.macro api_vm0newline
	jmp	0x017f
.endm

.macro api_sbackup
	call	0x0183
.endm

.macro api_srestore
	call	0x0185
.endm

.macro api_screenshot
	call	0x0187
.endm

.macro api_aread
	call	0x0189
.endm

.macro api_awrite
	call	0x018b
.endm

.macro api_pageset
	call	0x018d
.endm

